
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef GENBASIC_SCAN_H
#define GENBASIC_SCAN_H


/* Structures definies par d'autres modules */


/* Structures du module */
#include "server/genBasicPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
int scan_buf_struct_GENBASIC_STR (char** buf, struct GENBASIC_STR *x, int nDim, int *dims );
int scan_buf_struct_GEN_POLAR_2D (char** buf, struct GEN_POLAR_2D *x, int nDim, int *dims );
int scan_buf_struct_GEN_SEG_3D (char** buf, struct GEN_SEG_3D *x, int nDim, int *dims );
int scan_buf_struct_GEN_SEG_2D (char** buf, struct GEN_SEG_2D *x, int nDim, int *dims );
int scan_buf_struct_GEN_POINT_3D (char** buf, struct GEN_POINT_3D *x, int nDim, int *dims );
int scan_buf_struct_GEN_CONFIG_2D (char** buf, struct GEN_CONFIG_2D *x, int nDim, int *dims );
int scan_buf_struct_GEN_POINT_2D (char** buf, struct GEN_POINT_2D *x, int nDim, int *dims );
int scan_buf_struct_GEN_STRING256 (char** buf, struct GEN_STRING256 *x, int nDim, int *dims );
int scan_buf_struct_GEN_STRING128 (char** buf, struct GEN_STRING128 *x, int nDim, int *dims );
int scan_buf_struct_GEN_STRING64 (char** buf, struct GEN_STRING64 *x, int nDim, int *dims );
int scan_buf_struct_GEN_STRING32 (char** buf, struct GEN_STRING32 *x, int nDim, int *dims );
int scan_buf_struct_GEN_STRING16 (char** buf, struct GEN_STRING16 *x, int nDim, int *dims );
int scan_buf_enum_GEN_BOOL (char** buf, enum GEN_BOOL *x, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

int scan_buf_GEN_BOOL (char** buf, GEN_BOOL *x, int nDim, int *dims );
int scan_buf_GEN_STRING16 (char** buf, GEN_STRING16 *x, int nDim, int *dims );
int scan_buf_GEN_STRING32 (char** buf, GEN_STRING32 *x, int nDim, int *dims );
int scan_buf_GEN_STRING64 (char** buf, GEN_STRING64 *x, int nDim, int *dims );
int scan_buf_GEN_STRING128 (char** buf, GEN_STRING128 *x, int nDim, int *dims );
int scan_buf_GEN_STRING256 (char** buf, GEN_STRING256 *x, int nDim, int *dims );
int scan_buf_GEN_POINT_2D (char** buf, GEN_POINT_2D *x, int nDim, int *dims );
int scan_buf_GEN_CONFIG_2D (char** buf, GEN_CONFIG_2D *x, int nDim, int *dims );
int scan_buf_GEN_POINT_3D (char** buf, GEN_POINT_3D *x, int nDim, int *dims );
int scan_buf_GEN_SEG_2D (char** buf, GEN_SEG_2D *x, int nDim, int *dims );
int scan_buf_GEN_SEG_3D (char** buf, GEN_SEG_3D *x, int nDim, int *dims );
int scan_buf_GEN_POLAR_2D (char** buf, GEN_POLAR_2D *x, int nDim, int *dims );
int scan_buf_GENBASIC_STR (char** buf, GENBASIC_STR *x, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* GENBASIC_SCAN_H */

